PILERCR(1)

NAME
pilercr - software for finding CRISPR repeats

DESCRIPTION
pilercr v1.06 http://www.drive5.com/piler

AUTHOR
Written by Robert C. Edgar This software is donated to the public domain. Please visit web site for requested citation.

  Basic options:

-in <filename>
    Sequence file to analyze (FASTA format).

-out <filename>
    Report file name (plain text).

-seq <filename>
    Save consensus sequences to this FASTA file.

-trimseqs
    Eliminate similar seqs from -seq file.

-noinfo
    Don't write help to report file.

-quiet
    Don't write progress messages to stderr.

  Criteria for CRISPR detection, defaults in parentheses:

-minarray <N>
    Must be at least <n> repeats in array (3).

-mincons <F>
    Minimum conservation (0.9). At least N repeats must have identity >= F with the consensus sequence. Value is in range 0 .. 1.0. It is recommended to use a value < 1.0 because using 1.0 may suppress true arrays due to boundary misidentification.

-minrepeat <L>
    Minimum repeat length (16).

-maxrepeat <L>
    Maximum repeat length (64).

-minspacer <L>
    Minimum spacer length (8).

-maxspacer <L>
    Maximum spacer length (64).

-minrepeatratio <R>
    Minimum repeat ratio (0.9).

-minspacerratio <R>
    Minimum spacer ratio (0.75). 'Ratios' are defined as minlength / maxlength, thus a value close to 1.0 requires lengths to be similar, 1.0 means identical lengths. Spacer lengths sometimes vary significantly, so the default ratio is smaller. As with -mincons, using 1.0 is not recommended.

  Parameters for creating local alignments:

-minhitlength <L>
    Minimum alignment length (16).

-minid <F>
    Minimum identity (0.94).